Bug 1039902 - Draw and Impress do not load connector skew properly and consequently break documents on saving
Summary: Draw and Impress do not load connector skew properly and consequently break d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-10 09:47 UTC by Luca Cavalli
Modified: 2013-12-19 07:14 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.1.4.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-13 05:07:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 70210 None None None Never

Description Luca Cavalli 2013-12-10 09:47:56 UTC
When saving/loadinig a presentation/drawing with connectors, all the connectors skews are lost. Older documents with connectors formatted with line skew are corrupted by losing the connector formatting in load/save/load cycle.

This bug has been reported upstream.
Due to its impact it would be nice to have the patch backported to Fedora 19.

See upstream bug for all the details and the patch:
https://bugs.freedesktop.org/show_bug.cgi?id=70210

Comment 1 Caolan McNamara 2013-12-10 10:46:24 UTC
fair enough, backported, builds underway

Comment 2 Fedora Update System 2013-12-11 12:11:27 UTC
libreoffice-4.1.3.2-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-11.fc20

Comment 3 Fedora Update System 2013-12-11 12:13:19 UTC
libreoffice-4.1.3.2-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-11.fc19

Comment 4 Fedora Update System 2013-12-11 16:46:25 UTC
Package libreoffice-4.1.3.2-11.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.3.2-11.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23179/libreoffice-4.1.3.2-11.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-12-13 05:07:55 UTC
libreoffice-4.1.3.2-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-12-13 08:57:27 UTC
libreoffice-4.1.3.2-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-12.fc20

Comment 7 Fedora Update System 2013-12-17 11:10:55 UTC
libreoffice-4.1.4.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.4.2-1.fc20

Comment 8 Fedora Update System 2013-12-19 07:14:44 UTC
libreoffice-4.1.4.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.